2

I am trying to install scipy on a Ubuntu 15.04 virtual box using the command

pip install scipy

During the installation, however, I get the following error:

error: library dfftpack has Fortran sources but no Fortran compiler found

How can this be fixed?

5

Install a fortran compiler?

apt-get install gfortran

should do the trick.

Occasionally, scipy is packaged in ubuntu, precompiled. You can just do

apt-get install python-scipy

instead.

  • Error: E: Package 'g77' has no installation candidate – Alex Sep 15 '15 at 7:27
  • But the second suggestion seem to have worked. Thanks! – Alex Sep 15 '15 at 7:29
  • sorry, that should've been the gfortran package, rather than the g77 one. It used to be called g77, but apparently that's been changed at some point. (I don't know fortran, so I don't follow how its compilers work...) – Wouter Verhelst Sep 15 '15 at 13:44

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.